*,
*::before,
*::after {
  scroll-behavior: smooth;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  font-family: var(--font-sans);
  font-size: 16px;
  margin: 0;
  padding: 0;
}

:root {
  --color-transparent: transparent;
  --color-dim: #f8fafc;
  --color-light: #15202b;
  --color-cyan: #023c57;
  --color-coral: #ff713d;
  --color-khaki: #9c843a;

  --font-sans: "Work Sans", sans-serif;
  --font-lora: "Lora", serif;
  --font-cheltenham: "Cheltenham", serif;
  --font-cursive: "CursiveFont", cursive;

  --max-width: 732px;
  --nav-height: 5rem;
  --content-height: calc(100dvh - 5rem);
}

.dark {
  --color-dim: #15202b;
  --color-light: #f8fafc;
  --color-coral: #ff7f50;
  --color-khaki: #d6c07f;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-cheltenham) !important;
  font-weight: 500;
  -webkit-font-smoothing: antialiased;
  page-break-after: avoid;
  page-break-inside: avoid;
  line-height: 1.1;
}

h1,
h1 span {
  font-size: 1.5rem;
  color: var(--color-coral);
  letter-spacing: 0.025em;
}

h2 {
  font-size: 1.25rem;
  color: var(--color-coral);
  letter-spacing: 0.0125em;
}

h3 {
  font-size: 1.125rem;
  letter-spacing: 0.00625em;
}

@media (min-width: 768px) {
  h1,
  h1 span {
    font-size: 2.25rem;
  }

  h2 {
    font-size: 1.5rem;
  }
}

audio {
  color-scheme: dark;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
  filter: grayscale(100%);
  pointer-events: none;
  -webkit-user-drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

span {
  color: inherit;
  font-family: inherit;
  font-size: inherit;
}

a {
  color: var(--color-khaki) !important;
  text-decoration: inherit;
}

a:focus,
input:focus {
  outline: none !important;
}

.gel-hidden {
  display: none;
}

.gel-none {
  pointer-events: none;
  -webkit-user-drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

.text-sbcxbrrt {
  text-shadow: 0 0 3px var(--color-cyan);
}

.gel-wbxrtrbc:before {
  content: "";
  opacity: 0.1;
  pointer-events: none;
  z-index: 1;
  background-image: radial-gradient(circle at 1px 1px, #15202b 1px, #0000 0);
  background-position:
    0 0,
    1px 1px;
  background-size:
    3px 3px,
    4px 4px;
  position: absolute;
  inset: 0;
  z-index: 10;
}

::-webkit-scrollbar {
  width: 0.4rem;
  height: 0.2rem;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: #5b5b5bb8;
  border-radius: 1px;
}

::-webkit-scrollbar-thumb:hover {
  background: #5b5b5bb4;
}

::selection {
  background: var(--color-coral);
  color: var(--color-cyan);
}

::-moz-selection {
  background: var(--color-coral);
  color: var(--color-cyan);
}

::-webkit-selection {
  background: var(--color-coral);
  color: var(--color-cyan);
}
